Subject: Re: [bug#31375] [PATCH 0/2] Update wesnoth to 1.14.0

From: [email-masked] (Ludovic Courtès)
Date: Mon, 07 May 2018 12:16:02 +0200

Hello,

Arun Isaac <[email-masked]> skribis:

> The following patches update wesnoth to the latest stable version 1.14.0. The
> game works fine, but opening the in-game Preferences dialog box crashes the
> game with the following error message.
>
> Caught general 'St8bad_cast' exception:
> std::bad_cast

Did you try getting a backtrace with gdb?  It might give clues.

Apart from that, the patches LGTM, though I think you need to merge them
into a single patch; otherwise applying the first one leaves
‘wesnoth-server’ in broken state since it inherits from ‘wesnoth’.

Thanks,
Ludo’.